@@ -54,6 +54,19 @@
tags:
- x86_64
+.qemu-riscv64:
+ extends: .test-jobs-common
+ variables:
+ CONTAINER: archlinux:current-riscv64
+ LOGFILE: qemu-smoke-riscv64.log
+ artifacts:
+ paths:
+ - smoke.serial
+ - '*.log'
+ when: always
+ tags:
+ - x86_64
+
.yocto-test:
extends: .test-jobs-common
script:
@@ -234,6 +247,13 @@ qemu-smoke-x86-64-clang-pvh:
needs:
- debian-unstable-clang-debug
+qemu-smoke-riscv64-gcc:
+ extends: .qemu-riscv64
+ script:
+ - ./automation/scripts/qemu-smoke-riscv64.sh 2>&1 | tee ${LOGFILE}
+ needs:
+ - riscv64-cross-gcc
+
# Yocto test jobs
yocto-qemuarm64:
extends: .yocto-test-arm64
new file mode 100755
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -ex
+
+# Run the test
+rm -f smoke.serial
+set +e
+
+timeout -k 1 2 \
+qemu-system-riscv64 \
+ -M virt \
+ -smp 1 \
+ -nographic \
+ -m 2g \
+ -kernel binaries/xen \
+ |& tee smoke.serial
+
+set -e
+(grep -q "Hello from C env" smoke.serial) || exit 1
+exit 0